# Migrate Process URL

A custom migration may only have a URL to import into a field. If using Drupal core's link field, you have to assign the value directly to the `uri` column:

```yaml
  field_my_website/uri:
    source: my_custom_url_source
```

The problem is, sometimes the source field will not be in the correct URL format for Drupal core. This module provides a new process plugin, <strong>field_link_generate</strong> the creates an array for use with the `field_link` process plugin:

```yaml
  field_my_website:
    -
      plugin: field_link_generate
      source: my_custom_url_source
      title_source: my_custom_title_source
    -
      plugin: field_link
      uri_scheme: 'http://'
```